/*
 * CSS for Daw 2Step task.
 *
 * This stylesheet provides minimal styling to make jsPsych
 * experiments look polished without any additional styles.
 *
 */

/*
 *
 * fonts and type 
 *
 */
@import url(https://fonts.googleapis.com/css?family=Open+Sans:400italic,700italic,400,700);

 html {
 font-family: 'Open Sans', 'Arial', sans-serif;
 font-size: 18px; 
 line-height: 1.6em;
}

body {
	margin: 0;
	padding: 0;
	text-align: center;
}

p {
    clear:both;
}

.very-small {
    font-size: 50%;
}

.small {
    font-size: 75%;
}

.large {
    font-size: 125%;
}

.very-large {
    font-size: 150%;
}
.jspsych-display-element {
  display: flex;
  flex-direction: column;
  overflow-y: auto;
}

.jspsych-display-element:focus {
  outline: none;
}

.jspsych-content-wrapper {
  display: flex;
  margin: auto;
  flex: 1 1 100%;
  width: 100%;
}

.jspsych-content {
  max-width: 95%; /* this is mainly an IE 10-11 fix */
  text-align: center;
  margin: auto; /* this is for overflowing content */
}

.jspsych-top {
  align-items: flex-start;
}

.jspsych-middle {
  align-items: center;
}

/* fonts (was 18px) and type */

.jspsych-display-element {
 font-family: 'Open Sans', 'Arial', sans-serif;
 font-size: 16px;
 line-height: 1.6em;
}

/* Form elements like input fields and buttons */

.jspsych-display-element input[type="text"] {
 font-family: 'Open Sans', 'Arial', sans-serif;
 font-size: 14px;
}

@font-face {
    font-family: digitalDisplay;
    src: url('../../fonts/digital-7.otf');
	src: url('../../fonts/digital-7.otf') format('otf'), url('../../fonts/digital-7.eot?#iefix') format('embedded-opentype'), url('../../fonts/digital-7.woff') format('woff');
}

/* borrowing Bootstrap style for btn elements, but combining styles a bit */
.jspsych-btn {
  display: inline-block;
  padding: 6px 12px;
  margin: 0px;
  font-size: 14px;
  font-weight: 400;
  font-family: 'Open Sans', 'Arial', sans-serif;
  cursor: pointer;
  line-height: 1.4;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  background-image: none;
  border: 1px solid transparent;
  border-radius: 4px;
  color: #333;
  background-color: #fff;
  border-color: #ccc;
}

.jspsych-btn:hover {
  background-color: #ddd;
  border-color: #aaa;
}

.jspsych-btn:disabled {
  background-color: #eee;
  color: #aaa;
  border-color: #ccc;
  cursor: not-allowed;
}

/*
 *
 * Classes for changing location of things
 *
 */

.left {
    float: left;
}

.right {
    float: right;
}

.center-content {
    text-align: center;
}

/*
 *
 * Container holding jsPsych content
 *
 */

.jspsych-display-element {
    width: 800px;
    margin: 50px auto 50px auto;
	background-repeat: no-repeat;
	background-position: center;
	height: 400px;
}

/*
 *
 * PLUGIN: jspsych-instructions
 *
 */

 .jspsych-instructions-nav {
   text-align: center;
   margin-top: 2em;
 }
 .jspsych-instructions-nav button {
   margin: 20px;
 }

/*
 *
 * PLUGIN: jspsych-daw-2step-stim
 *
 */

#jspsych-space-daw-content-top-left, #jspsych-space-daw-content-top-right, #jspsych-space-daw-content-top-middle {
	position: relative;
	display: inline-block;
	height: 89px;
	background-repeat: no-repeat;
	background-position: center bottom;
	vertical-align: top;
	margin-top: 15px;
	color:#aaa ;
}

#jspsych-space-daw-content-top-middle {
	width: 78px;
  font-size: 80%;
  line-height:110%;
  text-align:center;
}

#jspsych-space-daw-content-top-left, #jspsych-space-daw-content-top-right {
	width: 178px;
}

#jspsych-space-daw-content-middle-left, #jspsych-space-daw-content-middle-right, #jspsych-space-daw-content-middle-middle {
	position: relative;
	display: inline-block;
	height: 89px;
	background-repeat: no-repeat;
	background-position: center bottom;
	vertical-align: bottom;
  text-align:top;
	font-size: 300%;
  margin-bottom: 10px;
}

#jspsych-space-daw-points_guess {
  position: relative;
  display: inline-block;
  height: 89px;
  background-repeat: no-repeat;
  background-position: center bottom;
  vertical-align: top;
  text-align:top;
  margin-top: -20px;
}

#jspsych-space-daw-content-middle-middle {
	width: 78px;
	margin: -89px auto 0 auto;
	padding: 89px 0 0 0;
}

#jspsych-space-daw-content-middle-left, #jspsych-space-daw-content-middle-right {
  position: relative;
	width: 178px;
}

#jspsych-space-daw-content-bottom-left, #jspsych-space-daw-content-bottom-right, #jspsych-space-daw-content-bottom-middle {
	position: relative;
	display: inline-block;
	margin-top: 15px;
	height: 170px;
	background-repeat: no-repeat;
	border-width: 4px;
	border-style: dashed;
	border-color: rgba(0, 0, 0, 0);
	font-size: 500%;
	vertical-align: top;
	background-position: center bottom;
  outline-width: 4px;
  outline-style: dashed;
  outline-color: rgba(0,0,0,0);
}

#jspsych-space-daw-content-bottom-middle {
	width: 70px;
  outline-width: 4px;
  outline-style: dashed;
  outline-color: rgba(0,0,0,0);
}

#jspsych-space-daw-content-bottom-left, #jspsych-space-daw-content-bottom-right {
	width: 170px;
  outline-width: 4px;
  outline-style: dashed;
  outline-color: rgba(0,0,0,0);
}

#jspsych-space-daw-top-rewards {
	display: inline-block;
	margin-top: 35px;
	margin-bottom: 35px;
	padding-top: 20px;
	padding-bottom: 20px;
	padding-left: 10px;
	padding-right: 10px;
	font-family: digitalDisplay;
	color:#b8fff6;
	background-color:#0738db;
	border: 5px solid #197bff;
	border-radius: 10px;
	font-size: 200%;
	align: center;
}

#jspsych-space-daw-top-rewards-container {
	display: inline-block;
	width: 200px;
	height: 50px;
	background-color: #197bff;
	border: 5px solid #197bff;
	border-radius: 10px;
	line-height: 50px;
	vertical-align: middle;
}

#jspsych-space-daw-top-rewards-square-container {
	display: inline-block;
	width: 50px;
	height: 50px;
	background-color: #197bff;
	border: 5px solid #197bff;
	border-radius: 10px;
	line-height: 50px;
	vertical-align: middle;
}

#jspsych-space-daw-top-rewards-green-square-container {
	display: inline-block;
	width: 50px;
	height: 50px;
	background-color: #197bff;
	border-radius: 10px;
	border: 5px solid #007236;
	line-height: 50px;
	vertical-align: middle;
}

#jspsych-space-daw-top-rewards-red-square-container {
	display: inline-block;
	width: 50px;
	height: 50px;
	background-color: #197bff;
	border-radius: 10px;
	border: 5px solid #b0171f;
	line-height: 50px;
	vertical-align: middle;
}
img {
    vertical-align: middle;
}

#jspsych-space-daw-top-rewards-text {
	display: inline-block;
	height: 50px;
	padding-left: 10px;
	padding-right: 10px;
	line-height: 50px;
	vertical-align: top;
}

#jspsych-space-daw-bottom-rewards {
	display: inline-block;
	margin-top: 35px;
	margin-bottom: 35px;
	padding-top: 20px;
	padding-bottom: 20px;
	padding-left: 10px;
	padding-right: 10px;
	font-size: 150%;
	align: center;
}

/*
 *
 * PLUGIN: jspsych-survey-text
 *
 */

 .jspsych-survey-text {
     margin: 0.25em 0em;
 }

 .jspsych-survey-text-question {
     margin: 2em 0em;
 }

 /*
  *
  * PLUGIN: jspsych-survey-likert
  *
  */

.jspsych-survey-likert-sliderlabels {
  font-size: 75%;
  line-height: 1.15em;
}
.jspsych-survey-likert-question {
  margin-top: 2em;
  margin-bottom: 2em;
  padding-top: 0px;
  padding-bottom: 0px
}

.jspsych-survey-likert-text {
  text-align: center;
  padding-top: 0px;
  padding-bottom: 0px
}

/*check i this makes preamble in Lsas bigger? appearance still ok for other questionnaires?, else delete */

.jspsych-survey-likert-preamble {
	font-size: 120%;
  }

#jspsych-survey-likert-next {
  display: block;
  margin: auto;
  padding-top: 0px;
  padding-bottom: 0px
}

/*
  *
* PLUGIN: jspsych-survey-multi-choice
 *
 */

 .jspsych-survey-multi-choice-preamble {
	font-size: 120%;
    line-height: 1em;
	margin-top: 25px;
 }

 .jspsych-survey-multi-choice-question{
	font-size: 100%;
    line-height: 1em;
	margin-top: 18px;
	margin-bottom: 15px;
 }
